package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 病人对象 fs_patient
 * 
 * @author fs
 * @date 2022-03-23
 */
public class FsPatient extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long patientId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 所属会员 */
    @Excel(name = "所属会员")
    private Long userId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 性别 */
    @Excel(name = "性别")
    private Integer gender;

    /** 状态 1正常 2禁用 */
    @Excel(name = "状态 1正常 2禁用")
    private Integer status;

    /** 是否删除  */
    @Excel(name = "是否删除 ")
    private Integer isDel;

    /** 病人关系 1自己 2父母 3子女 4爱人 5其他 */
    @Excel(name = "病人关系 1自己 2父母 3子女 4爱人 5其他")
    private Integer patientRelation;

    public void setPatientId(Long patientId) 
    {
        this.patientId = patientId;
    }

    public Long getPatientId() 
    {
        return patientId;
    }
    public void setPatientName(String patientName) 
    {
        this.patientName = patientName;
    }

    public String getPatientName() 
    {
        return patientName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setGender(Integer gender) 
    {
        this.gender = gender;
    }

    public Integer getGender() 
    {
        return gender;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setPatientRelation(Integer patientRelation) 
    {
        this.patientRelation = patientRelation;
    }

    public Integer getPatientRelation() 
    {
        return patientRelation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("patientId", getPatientId())
            .append("patientName", getPatientName())
            .append("userId", getUserId())
            .append("idCard", getIdCard())
            .append("birthday", getBirthday())
            .append("gender", getGender())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .append("patientRelation", getPatientRelation())
            .toString();
    }
}
